查询TikTok在线商品
POST
/basicOpen/multiplatform/tiktok/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/tiktok/list | HTTPS | POST | 1 |
请求参数
principalUidsarray<any>brandIdsarray<any>categoryIdsarray<any>offsetintegerlengthintegerpairingStatusintegersearchFieldstringplatformStatusarray<any>storeIdsarray<any>searchSingleValuestringsearchValuesarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/tiktok/list?access_token=value&sign=value×tamp=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"principalUids": [10001,10002],
"brandIds": [value],
"categoryIds": [value],
"offset": value,
"length": value,
"pairingStatus": value,
"searchField": "value",
"platformStatus": ["value"],
"storeIds": ["value"],
"searchSingleValue": "value",
"searchValues": ["value"],
"req_time_sequence": "value"
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
countinteger必填listarray<object>必填隐藏子属性
idstring必填productUniqueIdstring必填principalUidsarray<any>必填principalNamestring必填companyIdstring必填storeIdstring必填storeNamestring必填platformCodestring必填mskuIdstring必填mskustring必填pnamestring必填skustring必填pidstring必填titlestring必填cidstring必填bidstring必填notesstring必填imgUrlstring必填spustring必填spuIdstring必填platformStatusstring必填categoryNamestring必填usableInventoryinteger必填waitOutboundQuantityinteger必填siteCodestring必填taxExclusivePricenumber必填salesPricestring必填currencystring必填bnamestring必填cnamestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583.142.17261283521902653",
"response_time": "2024-09-12 16:05:56",
"data": {
"count": 1,
"list": [
{
"id": "6",
"productUniqueId": "9014578083787
"10329319"
],
"principalName": "丁",
"companyId": "901157321452879872",
"storeId": "110427040906481664",
"storeName": "tiktok沙盒店铺",
"platformCode": "10011",
"mskuId": "10002",
"msku": "test1-sku-name2",
"pname": "ueeshop1111",
"sku": "ueeshop1111",
"pid": "5793",
"title": "",
"cid": "8",
"bid": "8",
"notes": "",
"imgUrl": "",
"spu": "172959296971062701",
"spuId": "1729592969712207008",
"platformStatus": "SELLERDEACTIVATED",
"categoryName": "test1-Botol & Stoples Penyimpanan",
"usableInventory": 101,
"waitOutboundQuantity": 10,
"siteCode": "US,UK",
"taxExclusivePrice": null,
"salesPrice": "117.50",
"currency": "$",
"bname": "品牌8",
"cname": "分类8"
}
]
},
"total": 0
}